summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/argus/files/argus.initd')
-rw-r--r--net-analyzer/argus/files/argus.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/net-analyzer/argus/files/argus.initd b/net-analyzer/argus/files/argus.initd
new file mode 100644
index 000000000000..cbc8cfdd112c
--- /dev/null
+++ b/net-analyzer/argus/files/argus.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting argus"
+ start-stop-daemon --start --quiet --exec /usr/sbin/argus -- -d
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping argus"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/argus
+ eend $?
+}